Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Robert Pluim <[email-masked]>
Date: Thu, 07 Oct 2021 15:11:06 +0200

>>>>> On Thu, 07 Oct 2021 15:56:30 +0300, Eli Zaretskii <[email-masked]> said:

    Eli> That's the same as "no one", for the purposes of this discussion.

    >> Would you still deprecate it, with intent to remove? Or would you still 
    >> keep the binding?

    Eli> I didn't say I was against deprecating the command.  I said
    Eli> deprecating it is the only way to eventually usurp its key binding.

- itʼs undocumented except in NEWS.21
- the workflow itʼs intended for requires you to use the
  (undocumented) prefix arg to 'vc-next-action'
- and that workflow is something that I very much doubt anybody still
  uses (temporarily using RCS for CVS controlled files? Just use git,
  or hg or anything from the last 20 years)

    Eli> But deprecation will take time, and I was under the impression that
    Eli> Juri wanted the VC branch commands to have the binding NOW.

I can see that we want to be careful about deprecation, but this
command is *really* niche. How about we move it to C-x v B, and let
Juri have C-x v b ?

Robert
--